BizKitHub
DocsAPI ReferenceLedger/bff/ledger/asset/depreciation-book
postLedgerAdmin BFF

/bff/ledger/asset/depreciation-book

Book accounting (MD 551 / D 08x) and tax depreciation of a year

LedgerpostBffLedgerAssetDepreciation-book

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
fiscalYearnumberRequired
Range: 1990–2200
assetIdsstring[] | nullOptional
One of 2:
Variant 1
string[]

Asset external id.

Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/asset/depreciation-book

post
curl -X POST "https://api.bizkithub.com/bff/ledger/asset/depreciation-book" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "fiscalYear": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key